/* 
 * EntradaConsulta.java 
 * 15 de feb. de 2017
 * Copyright 2017 TCS.
 * Todos los derechos reservados.
 */
package com.qsoft.wmp.services.xsd;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.qsoft.util.ms.pojo.HeaderMS;
import java.io.Serializable;
import java.util.List;
import java.util.Map;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * <b> Entrada del servicio web. </b>
 *
 * @author jaime Ruales
 * @version $1.0$
 */
@XmlSeeAlso({HeaderMS.class})
@XmlAccessorType(XmlAccessType.FIELD)
public class EntradaRecetas implements Serializable {

    private static final long serialVersionUID = 8142263336233087792L;
    @XmlElement(name = "receta")
    @JsonAlias("receta")
    private Map<String, Object> receta;
    
    @XmlElement(name = "rec_items")
    @JsonAlias("rec_items")
    private List<Map<String, Object>> rec_items;
    
    @XmlElement(name = "rec_facturacion")
    @JsonAlias("rec_facturacion")
    private Map<String, Object> rec_facturacion;
    
    @XmlElement(name = "rec_credito")
    @JsonAlias("rec_credito")
    private Map<String, Object> rec_credito;
    
    @XmlElement(name = "tipo_facturacion")
    @JsonAlias("tipo_facturacion")
    private String tipo_facturacion;

    public Map<String, Object> getReceta() {
        return receta;
    }

    public void setReceta(Map<String, Object> receta) {
        this.receta = receta;
    }

    public List<Map<String, Object>> getRec_items() {
        return rec_items;
    }

    public void setRec_items(List<Map<String, Object>> rec_items) {
        this.rec_items = rec_items;
    }

    public Map<String, Object> getRec_facturacion() {
        return rec_facturacion;
    }

    public void setRec_facturacion(Map<String, Object> rec_facturacion) {
        this.rec_facturacion = rec_facturacion;
    }

    public Map<String, Object> getRec_credito() {
        return rec_credito;
    }

    public void setRec_credito(Map<String, Object> rec_credito) {
        this.rec_credito = rec_credito;
    }

    public String getTipo_facturacion() {
        return tipo_facturacion;
    }

    public void setTipo_facturacion(String tipo_facturacion) {
        this.tipo_facturacion = tipo_facturacion;
    }
    

}
